Subject: bug#15292: 24.3.50; Isearch: handle commands properly when called at top level

From: Drew Adams <[email-masked]>
Date: Fri, 6 Sep 2013 14:04:05 -0700 (PDT)

> Isearch is not a library of functions, and not intended for external use.

Every library containing functions is a library of functions.  And there is
no "external use".  But it's clear we will continue to disagree about that.

> I can't imagine how you might want to use e.g. isearch-help-for-help
> outside of Isearch.

I have nothing particular in mind wrt that.  The main point was that
commands that should be called only when in `isearch-mode' could usefully
raise an error if called outside that mode.  Likewise, minibuffer commands
that make no sense if called outside the minibuffer, and so on.  IMO, such
commands should barf if called outside the expected context.

But it does not bother me if you decide not to do anything about such things.